Reads the prompt sharing configuration.

GEThttps://api.awork.com/api/v1/agents/prompts/{promptId}/sharing
GET https://api.awork.com/api/v1/agents/prompts/{promptId}/sharing

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

promptIdstringRequired
format: uuid

The prompt ID.

Responses

200 OK

application/json

workspaceAccessLevelstring or nullOptional

Allowed: "read" "manage"

The workspace-wide access level.

contributorsarray of object or nullOptional

The direct user access grants.

Show 4 properties
idstringOptional
format: uuid

The access grant identifier.

promptIdstringOptional
format: uuid

The shared prompt identifier.

userIdstringOptional
format: uuid

The user who receives access.

accessLevelstringOptional

Allowed: "read" "manage"

The granted access level.

teamsarray of object or nullOptional

The team access grants.

Show 4 properties
idstringOptional
format: uuid

The access grant identifier.

promptIdstringOptional
format: uuid

The shared prompt identifier.

teamIdstringOptional
format: uuid

The team that receives access.

accessLevelstringOptional

Allowed: "read" "manage"

The granted access level.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation